Light APIv1.0.0

API / Reference / Expenses

Update expense

PATCH https://api.light.inc/v1/expenses/{expenseId}

Updates an existing expense

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • expenseId string · uuidrequired

Request body

application/json;charset=UTF-8

  • originalCurrency string

  • performedDate string · date

Response

  • id string · uuid

  • receiptDocumentKey string

  • originalCurrency string

  • billingCurrency string

  • status string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of CREATED IN_DRAFT SUBMITTED_FOR_REVIEW CANCELLED

  • userId string · uuid

  • companyId string · uuid

  • performedDate string · date

  • detailedDescription string

  • lineItems array of object

    • id string · uuid

    • expenseId string · uuid

    • originalAmount integer · int64

    • billingAmount integer · int64

    • accountId string · uuid

    • costCenterId string · uuid

    • description string

    • reimbursementCategoryId string · uuid

    • createdAt string · date-time

    • updatedAt string · date-time

  • createdAt string · date-time

  • updatedAt string · date-time